Package io.strimzi.systemtest.resources.crd

## Class KafkaRebalanceResource

- java.lang.Object
- - io.strimzi.systemtest.resources.crd.KafkaRebalanceResource

-     public class KafkaRebalanceResource
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `PATH_TO_KAFKA_REBALANCE_CONFIG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KafkaRebalanceResource()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static io.strimzi.api.kafka.model.KafkaRebalance` | `createAndWaitForReadiness​(io.strimzi.api.kafka.model.KafkaRebalance kafkaRebalance)` |
    `static void` | `deleteKafkaRebalanceWithoutWait​(String resourceName)` |
    `static io.strimzi.api.kafka.model.KafkaRebalanceBuilder` | `kafkaRebalance​(String name)` |
    `static io.fabric8.kubernetes.client.dsl.MixedOperation<io.strimzi.api.kafka.model.KafkaRebalance,​io.strimzi.api.kafka.KafkaRebalanceList,​io.fabric8.kubernetes.client.dsl.Resource<io.strimzi.api.kafka.model.KafkaRebalance>>` | `kafkaRebalanceClient()` |
    `static io.strimzi.api.kafka.model.KafkaRebalance` | `kafkaRebalanceWithoutWait​(io.strimzi.api.kafka.model.KafkaRebalance kafkaRebalance)` |
    `static void` | `replaceKafkaRebalanceResource​(String resourceName, Consumer<io.strimzi.api.kafka.model.KafkaRebalance> editor)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PATH_TO_KAFKA_REBALANCE_CONFIG

          public static final String PATH_TO_KAFKA_REBALANCE_CONFIG

  - ### Constructor Detail

    - #### KafkaRebalanceResource

          public KafkaRebalanceResource()

  - ### Method Detail

    - #### kafkaRebalanceClient

          public static io.fabric8.kubernetes.client.dsl.MixedOperation<io.strimzi.api.kafka.model.KafkaRebalance,​io.strimzi.api.kafka.KafkaRebalanceList,​io.fabric8.kubernetes.client.dsl.Resource<io.strimzi.api.kafka.model.KafkaRebalance>> kafkaRebalanceClient()

    - #### kafkaRebalance

          public static io.strimzi.api.kafka.model.KafkaRebalanceBuilder kafkaRebalance​(String name)

    - #### createAndWaitForReadiness

          public static io.strimzi.api.kafka.model.KafkaRebalance createAndWaitForReadiness​(io.strimzi.api.kafka.model.KafkaRebalance kafkaRebalance)

    - #### kafkaRebalanceWithoutWait

          public static io.strimzi.api.kafka.model.KafkaRebalance kafkaRebalanceWithoutWait​(io.strimzi.api.kafka.model.KafkaRebalance kafkaRebalance)

    - #### deleteKafkaRebalanceWithoutWait

          public static void deleteKafkaRebalanceWithoutWait​(String resourceName)

    - #### replaceKafkaRebalanceResource

          public static void replaceKafkaRebalanceResource​(String resourceName,
                                                           Consumer<io.strimzi.api.kafka.model.KafkaRebalance> editor)